Kubernetes

Create Kubernetes cluster

post/kubernetes/

Deploy a new managed Kubernetes cluster. The control plane is managed by CubePath and workers run on your VPS instances.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Request body

application/jsonRequired
project_id*integer
name*string
Range3 ≤ length ≤ 100Rangepattern ^[a-z0-9][a-z0-9-]*[a-z0-9]$
location_name*string
version?string | null
ha_control_plane?boolean
Defaultfalse
allocate_ipv4?boolean
Defaulttrue
allocate_ipv6?boolean
Defaulttrue
network?NetworkConfig | null
Properties (4)
network_id?integer | null
node_cidr?string | null
pod_cidr?string
Default"10.42.0.0/16"
service_cidr?string
Default"10.43.0.0/16"
node_pools*array<NodePoolCreate>
Rangeitems ≥ 1Rangeitems ≤ 10
Properties (6)
name?string
Range1 ≤ length ≤ 100Rangepattern ^[a-z0-9]([a-z0-9-]*[a-z0-9])?$Default"default"
plan*string
count?integer
Range1 ≤ value ≤ 100Default1
auto_scale?boolean
Defaulttrue
labels?record<string, string> | null
taints?array<TaintSpec> | null
Properties (3)
key*string
Range1 ≤ length ≤ 253
value*string
Rangelength ≤ 63
effect*string
Value in"NoSchedule""PreferNoSchedule""NoExecute"

Responses

Successful Response

application/json

detail*string
uuid*string
name*string
api_endpoint*string
status*string